Get Certificate Details By Vmid V2 Using GET
Get a Certificate by ID
Request
URI
GET
https://{api_host}//lcm-15-95.eng.vmware.com/lcm/locker/api/v2/certificates/{vmid}
COPY
Path Parameters
string
vmid
Required
vmid
Responses
200
OK
Returns
CertificateResponseDTO
of type(s)
application/json
{
"alias": "string",
"certChain": "string",
"certInfo": {
"algorithm": "string",
"issuer": "string",
"keyAlgorithm": "string",
"keyLength": 0,
"san": "string",
"sha1": "string",
"sha256": "string",
"subject": "string"
},
"key": "string",
"leafCert": "string",
"transactionId": "string",
"validations": [
{
"message": "string",
"strict": false
}
],
"validity": {
"expiresOn": "string",
"healthy": false,
"issuedOn": "string",
"period": "string"
},
"vmid": "string"
}
string
alias
Optional
alias
string
certChain
Optional
certChain
string
key
Optional
key
string
leafCert
Optional
leafCert
string
transactionId
Optional
transactionId
string
vmid
Optional
vmid
401
Unauthorized
Operation doesn't return any data structure
403
Forbidden
Operation doesn't return any data structure
404
Not Found
Returns
GenericErrorResponseDTO
of type(s)
application/json
{
"errorCode": "string",
"errorLabel": "string",
"message": "string",
"recommendations": [
"string"
],
"status": "string"
}
string
errorCode
Optional
errorCode
string
errorLabel
Optional
errorLabel
string
message
Optional
message
array of
string
recommendations
Optional
recommendations
string
status
Optional
status
500
Internal Server Error
Returns
GenericErrorResponseDTO
of type(s)
application/json
{
"errorCode": "string",
"errorLabel": "string",
"message": "string",
"recommendations": [
"string"
],
"status": "string"
}
string
errorCode
Optional
errorCode
string
errorLabel
Optional
errorLabel
string
message
Optional
message
array of
string
recommendations
Optional
recommendations
string
status
Optional
status